namespace e_suite.Database.Audit;

public interface IDatabaseAudit
{
    Task<int> SaveChangesAsync(AuditUserDetails auditUserDetails);

    Task<int> SaveChangesAsync(AuditUserDetails auditUserDetails, CancellationToken cancellationToken);

    Task<int> NoAuditSaveChangesAsync();

    Task<int> NoAuditSaveChangesAsync(CancellationToken cancellationToken);
}